Package com.mockobjects.jms

# Class MockConnection

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockConnection

All Implemented Interfaces:
  `Verifiable`

Direct Known Subclasses:
  `MockQueueConnection`, `MockTopicConnection`

public class MockConnection extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`MockConnection()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`String`
`getClientID()`
`ExceptionListener`
`getExceptionListener()`
`ConnectionMetaData`
`getMetaData()`
`void`
`setClientID(String clientID)`
`void`
`setExceptionListener(ExceptionListener listener)`
`void`
`setExpectedCloseCalls(int callCount)`
`void`
`setExpectedStartCalls(int callCount)`
`void`
`setExpectedStopCalls(int callCount)`
`void`
`setupThrowException(JMSException e)`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockConnection

public MockConnection()

## Method Details

### close

public void close() throws JMSException

Throws:
  `JMSException`

### getClientID

public String getClientID() throws JMSException

Throws:
  `JMSException`

### getExceptionListener

public ExceptionListener getExceptionListener() throws JMSException

Throws:
  `JMSException`

### getMetaData

public ConnectionMetaData getMetaData() throws JMSException

Throws:
  `JMSException`

### setClientID

public void setClientID(String clientID) throws JMSException

Throws:
  `JMSException`

### setExceptionListener

public void setExceptionListener(ExceptionListener listener) throws JMSException

Throws:
  `JMSException`

### start

public void start() throws JMSException

Throws:
  `JMSException`

### stop

public void stop() throws JMSException

Throws:
  `JMSException`

### setExpectedCloseCalls

public void setExpectedCloseCalls(int callCount)

### setExpectedStartCalls

public void setExpectedStartCalls(int callCount)

### setExpectedStopCalls

public void setExpectedStopCalls(int callCount)

### setupThrowException

public void setupThrowException(JMSException e)